Search these docs, or ask Revo a question — answers link the pages they came from.
Add a new location to a device.
POST
/api/v1/{tenantId}/devices/{deviceId}/locations
Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deviceId
required
string
tenantId
required
string
Request Body
Section titled “Request Body ”object
name
string
locationId
string
attachToPartId
string
position
Array<number>
orientation
Array<number>
isEnabled
boolean
isHidden
boolean
isTeachDisabled
boolean
claimParentDevice
boolean
approachVectors
Array<object>
object
gripProfile
string
gripOrientation
string
deviceInstanceId
string
Responses
Section titled “ Responses ”OK
object
location
object
name
string
locationId
string
attachToPartId
string
position
Array<number>
orientation
Array<number>
isEnabled
boolean
isHidden
boolean
isTeachDisabled
boolean
claimParentDevice
boolean
approachVectors
Array<object>
object
gripProfile
string
gripOrientation
string
Bad Request
object
message
string
code
string
Too Many Requests
object
message
string
code
string
Service Unavailable
object
message
string
code
string
Gateway Timeout
object
message
string
code
string